Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 659493 - ipa user-del --continue does not skip error
Summary: ipa user-del --continue does not skip error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-admintools
Version: 2.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-02 21:52 UTC by Yi Zhang
Modified: 2015-01-04 23:45 UTC (History)
3 users (show)

Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 09:39:28 UTC


Attachments (Terms of Use)

Description Yi Zhang 2010-12-02 21:52:12 UTC
Description of problem:
user-del --continue does not skip error as expected.

Version-Release number of selected component (if applicable): ipa-server 1.9
ipa-server-selinux-1.91-0.2010113020git94957c8.fc13.i686
ipa-server-1.91-0.2010113020git94957c8.fc13.i686


How reproducible: always


Steps to Reproduce:
1. list all current users
[yi@mv32a-vm ~]$ ipa user-find test | grep "User login"
  User login: testuser11948
  User login: test123
  User login: testuser001
  User login: testuser002

2. run command: (please note: user test001 and test002 does not exist)
[yi@mv32a-vm ~]$ ipa user-del --continue test001 testuser001 test002 testuser002
ipa: ERROR: test001: user not found

3. --continue option should skip error but not
[yi@mv32a-vm ~]$ ipa user-find test | grep "User login"
  User login: testuser11948
  User login: test123
  User login: testuser001
  User login: testuser002

Comment 1 Dmitri Pal 2010-12-02 22:07:49 UTC
https://fedorahosted.org/freeipa/ticket/561

Comment 2 Rob Crittenden 2010-12-03 22:36:18 UTC
master: 1bcd4a389d90e6f95505c1589769c5ab809601d8


Note You need to log in before you can comment on or make changes to this bug.